[arch-commits] Commit in file-roller/trunk (3 files)

Jan de Groot jgc at archlinux.org
Mon May 18 18:14:58 EDT 2009


    Date: Monday, May 18, 2009 @ 18:14:58
  Author: jgc
Revision: 39564

upgpkg: file-roller 2.26.2-1
    Remove upstream patch, add one back to make it build

Added:
  file-roller/trunk/fr-fix-source.patch
Modified:
  file-roller/trunk/PKGBUILD
Deleted:
  file-roller/trunk/fr-process-kill.patch

-----------------------+
 PKGBUILD              |   16 ++++++++--------
 fr-fix-source.patch   |   12 ++++++++++++
 fr-process-kill.patch |   11 -----------
 3 files changed, 20 insertions(+), 19 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-18 22:05:15 UTC (rev 39563)
+++ PKGBUILD	2009-05-18 22:14:58 UTC (rev 39564)
@@ -2,28 +2,28 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=file-roller
-pkgver=2.26.1
+pkgver=2.26.2
 pkgrel=1
 pkgdesc="Archive manipulator for GNOME2"
 arch=(i686 x86_64)
 license=('GPL')
 depends=('desktop-file-utils' 'gconf>=2.26.0-3') 
-makedepends=('intltool' 'gnome-doc-utils>=0.16.0' 'pkgconfig' 'nautilus>=2.26.2')
+makedepends=('intltool' 'gnome-doc-utils>=0.16.0' 'pkgconfig' 'nautilus>=2.26.3')
 optdepends=('nautilus: nautilus shell extension')
 groups=('gnome-extra')
 options=('!libtool' '!emptydirs')
 install=file-roller.install
 url="http://www.gnome.org"
 source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.26/${pkgname}-${pkgver}.tar.bz2
-	fr-process-kill.patch
-	fr-rpm-bsdtar.patch)
-md5sums=('b9e25c0e96d3cacc69be42037ba93589'
-	 '9da94cd67fee551bec5290844a48d76e'
-	 '918057080ef487c625f326ed5637f490')
+	fr-rpm-bsdtar.patch
+	fr-fix-source.patch)
+md5sums=('9d4575665dcbf063a062aa5a776eca68'
+	 '918057080ef487c625f326ed5637f490'
+	 'd8669520863718319d80666e424ffafb')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
-  patch -Np0 -i "${srcdir}/fr-process-kill.patch" || return 1
+  patch -Np1 -i "${srcdir}/fr-fix-source.patch" || return 1
   patch -Np0 -i "${srcdir}/fr-rpm-bsdtar.patch" || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --libexecdir=/usr/lib/file-roller \

Added: fr-fix-source.patch
===================================================================
--- fr-fix-source.patch	                        (rev 0)
+++ fr-fix-source.patch	2009-05-18 22:14:58 UTC (rev 39564)
@@ -0,0 +1,12 @@
+--- file-roller-2.26.2/src/fr-enum-types.c~	2009-04-30 09:03:57.000000000 +0000
++++ file-roller-2.26.2/src/fr-enum-types.c	2009-05-18 22:11:30.958610986 +0000
+@@ -3,8 +3,7 @@
+ 
+ #include <glib-object.h>
+ 
+-/* enumerations from "/home/paolo/workspace/file-roller/src/typedefs.h" */
+-#include "/home/paolo/workspace/file-roller/src/typedefs.h"
++#include "typedefs.h"
+ GType
+ fr_compression_get_type (void)
+ {

Deleted: fr-process-kill.patch
===================================================================
--- fr-process-kill.patch	2009-05-18 22:05:15 UTC (rev 39563)
+++ fr-process-kill.patch	2009-05-18 22:14:58 UTC (rev 39564)
@@ -1,11 +0,0 @@
---- src/fr-process.c.orig	2008-11-30 20:10:50.000000000 +0100
-+++ src/fr-process.c	2008-11-30 20:11:54.000000000 +0100
-@@ -981,7 +981,7 @@
- 	if (command_is_sticky (process, process->priv->current_command))
- 		allow_sticky_processes_only (process, emit_signal);
- 
--	else if (process->term_on_stop)
-+	else if (process->term_on_stop && process->priv->command_pid > 0)
- 		kill (process->priv->command_pid, SIGTERM);
- 
- 	else {



More information about the arch-commits mailing list